Package com.orchestranetworks.ui.form.widget

# Interface UIDateTime

All Superinterfaces:
  `UIAtomicWidget`, `UIWidget`

public interface UIDateTime extends UIAtomicWidget
Date/time field.

### JavaScript type

The JavaScript type for this widget is `Date`. If all fields are empty, the value will be `null`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.3.1
See Also:
  - `UIFormWriter.newDateTime(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newDateTime(com.orchestranetworks.schema.Path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDatePickerButtonDisplayable()`
  `boolean`
  `isNowButtonDisplayed()`
  `void`
  `setDatePickerButtonDisplayable(boolean isDisplayable)`
  Defines whether the date selection button should be displayed when the underlying node is of type `TypeDate` or `TypeDateTime`.
  `void`
  `setNowButtonDisplayed(boolean isDisplayed)`
  Defines whether the "now" button must be displayed or not.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### isDatePickerButtonDisplayable

    boolean isDatePickerButtonDisplayable()
    Returns:
      `true` if the date picker button is required, `false` if the date picker button must be hidden.
    See Also:
      - `setDatePickerButtonDisplayable(boolean)`

  - ### setDatePickerButtonDisplayable

    void setDatePickerButtonDisplayable(boolean isDisplayable)
    Defines whether the date selection button should be displayed when the underlying node is of type `TypeDate` or `TypeDateTime`.

    The date selection button can be hidden completely by setting `false`.

    The date selection button is placed to the right of the date/time fields.

    By clicking on the date selection button, the date selection pane is displayed under the date fields.

    Default value is `true`.

    Parameters:
      `isDisplayable` - `false` to hide the date picker button, `true` to reset to the default behavior.

  - ### isNowButtonDisplayed

    boolean isNowButtonDisplayed()
    Returns:
      `true` if the "now" button is to be displayed, `false` if the "now" button is to be hidden.
    See Also:
      - `setNowButtonDisplayed(boolean)`

  - ### setNowButtonDisplayed

    void setNowButtonDisplayed(boolean isDisplayed)
    Defines whether the "now" button must be displayed or not.

    By a click on the "now" button, the date/time fields are filled with the current date and time of the web browser.

    Default value is `true`.

    Parameters:
      `isDisplayed` - `false` to hide the "now" button, `true` to reset to the default behavior.